<% local data, viewlibrary = ... 
require("viewfunctions")
%>
<%
--[[ DEBUG INFORMATION
io.write("<H1>DEBUGGING</H1><span style='color:red'><H2>DEBUG INFO: CFE</H2>")
io.write(html.cfe_unpack(data))
io.write("</span>")
--]]
%>

<% viewlibrary.dispatch_component("status") %>

<H2><%= html.html_escape(data.label) %></H2>
<DL>
<% displayitem(data.value.time) %>
<% displayitem(data.value.tracking) %>
</DL>
<H3>Sources</H3>
<DL><pre><%= html.html_escape(data.value.sources.value) %></pre></DL>
<H3>Source Stats</H3>
<DL><pre><%= html.html_escape(data.value.sourcestats.value) %></pre></DL>
